#ifndef __chiliaudiochannel_h__
#define __chiliaudiochannel_h__
class ChiliProject;
class ChiliAudioChannel {
friend class ChiliProject;
/*
 * 	This class implements a single audio channel.
 * 	An audio channel consists of a raw mono PCM file
 * 	and a set of state information that can be useful
 * 	in manipulating this mono PCM file.
 */
private:
	unsigned int lasterror;
	unsigned int channelnum;	/* ID of this channel */
	ChiliProject * project;		/* Parent project */
	char * rawfilename;		/* allocated/deallocated by this class as needed */
public:
	ChiliAudioChannel(ChiliProject * proj,const unsigned int p_channelnum);
	unsigned int LinkToRawFile(const char * strFileName);
	~ChiliAudioChannel();

};
#endif
