#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/filename.H>
#include <FL/Fl_Preferences.H>
#include <ChiliUISession.h>

int main(int argc, char **argv) {
/*
 *	It is possible to do some command line parsing here
 *	for example to provide both graphical and 
 *      textmode versions of the application
 *      or to allow entering a filename on the commandline for
 *      the graphical app to load
 */
	ChiliUISession * uisession;
	uisession=new ChiliUISession();
	Fl_Window *mainuiwindow = uisession->make_window();
	mainuiwindow->end();
	mainuiwindow->show(argc, argv);
	
	while (mainuiwindow->shown()) { Fl::wait(); }
	delete uisession;
	
}
